This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 849040 - [abrt] gnome-boxes-3.4.3-2.fc17: Process /usr/bin/gnome-boxes was killed by signal 11 (SIGSEGV)
[abrt] gnome-boxes-3.4.3-2.fc17: Process /usr/bin/gnome-boxes was killed by s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: clutter (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
abrt_hash:9b18ecf8b3b728d48c19b8c13b1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-17 03:09 EDT by Martin
Modified: 2013-08-01 04:27 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 04:26:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.54 KB, text/plain)
2012-08-17 03:09 EDT, Martin
no flags Details
File: maps (79.03 KB, text/plain)
2012-08-17 03:09 EDT, Martin
no flags Details
File: dso_list (16.08 KB, text/plain)
2012-08-17 03:09 EDT, Martin
no flags Details
File: build_ids (6.77 KB, text/plain)
2012-08-17 03:09 EDT, Martin
no flags Details

  None (edit)
Description Martin 2012-08-17 03:09:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gnome-boxes
crash_function: _clutter_input_device_reset_axes
executable:     /usr/bin/gnome-boxes
kernel:         3.5.1-1.fc17.x86_64
pid:            1827
pwd:            /home/logical
remote_result:  809645
time:           Pi 17. august 2012, 09:05:48 CEST
uid:            1000
username:       logical

backtrace:      Text file, 46634 bytes
build_ids:      Text file, 6929 bytes
dso_list:       Text file, 16461 bytes
maps:           Text file, 80929 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/logical/3

core_backtrace:
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x7d264 - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x389fd - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x6198c - libclutter-1.0.so.0 -
:efc5ccad3bf17f709472d3c86a643fbe8ac635f5 0x32ff2 clutter_x11_handle_event libclutter-1.0.so.0 -
:c50b6cf63f265505680f55590f7d198587ef2191 0x6ef0 - libclutter-gtk-1.0.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48f61 - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x49137 - libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x1fee1 gdk_display_get_event libgdk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e72 - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x10a58f gtk_dialog_run libgtk-3.so.0 -
:f98d7579220fe0c0eee9164d0c7cf5fab345a551 0x55a43 - [exe] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:f98d7579220fe0c0eee9164d0c7cf5fab345a551 0x36351 - [exe] -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17afdf - libgtk-3.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x2a311e - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x178fa6 - libgtk-3.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x17abb3 gtk_main_do_event libgtk-3.so.0 -
:29349187cb6cb5fdb5e8fcc5fd335ee39f110fdc 0x48e82 - libgdk-3.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x97f5c g_application_run libgio-2.0.so.0 -
:f98d7579220fe0c0eee9164d0c7cf5fab345a551 0x3a180 _vala_main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=localhost.logical
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/logical/keyring-QI3PPr
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=logical
:USERNAME=logical
:MAIL=/var/spool/mail/logical
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/logical/.local/bin:/home/logical/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/logical
:XMODIFIERS=@im=none
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1240
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/logical
:SHLVL=1
:LOGNAME=logical
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-7ydRY4WlRM,guid=9c2689f5a82ebd925081db530000023f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/logical
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-logical-vHaqZN/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1247,unix/unix:/tmp/.ICE-unix/1247
:GPG_AGENT_INFO=/run/user/logical/keyring-QI3PPr/gpg:0:1
:SSH_AUTH_SOCK=/run/user/logical/keyring-QI3PPr/ssh
:LC_TIME=sk_SK.utf8
:LC_NUMERIC=sk_SK.utf8
:LC_MONETARY=sk_SK.utf8
:LC_MEASUREMENT=sk_SK.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-boxes.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1827
:DESKTOP_STARTUP_ID=gnome-shell-1469-localhost.logical-gnome-boxes-1_TIME691185

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30409                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30409                30409                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/logical/.xsession-errors
:pos:	5282
:flags:	0102002
:2:/home/logical/.xsession-errors
:pos:	5282
:flags:	0102002
:3:socket:[25366]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[26561]
:pos:	0
:flags:	02004002
:6:/dev/dri/card0
:pos:	0
:flags:	0100002
:7:/dev/urandom
:pos:	0
:flags:	02100000
:8:socket:[26569]
:pos:	0
:flags:	02000002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[26571]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[26572]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/logical/.cache/tracker/meta.db
:pos:	10164224
:flags:	02100000
:15:/home/logical/.cache/tracker/meta.db-wal
:pos:	80728
:flags:	02100002
:16:/home/logical/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:17:anon_inode:inotify
:pos:	0
:flags:	02004000
:18:/dev/urandom
:pos:	0
:flags:	02100000
:19:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:20:pipe:[26585]
:pos:	0
:flags:	02000000
:21:socket:[26722]
:pos:	0
:flags:	02004002
:22:socket:[26575]
:pos:	0
:flags:	02004002
:23:pipe:[26585]
:pos:	0
:flags:	02000001
:24:socket:[26599]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 17 09:05:48 localhost kernel: [  719.379124] gnome-boxes[1827]: segfault at a0 ip 00000031bb87d264 sp 00007ffff8b2c390 error 4 in libclutter-1.0.so.0.1000.8[31bb800000+126000]
:Aug 17 09:05:50 localhost abrt[1920]: Saved core dump of pid 1827 (/usr/bin/gnome-boxes) to /var/spool/abrt/ccpp-2012-08-17-09:05:48-1827 (170205184 bytes)

xsession_errors:
:(gnome-boxes:1827): Clutter-WARNING **: The actor 'ClutterBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
:(gnome-boxes:2079): Clutter-WARNING **: The actor 'ClutterBox' is currently inside an allocation cycle; calling clutter_actor_queue_relayout() is not recommended
Comment 1 Martin 2012-08-17 03:09:26 EDT
Created attachment 605101 [details]
File: backtrace
Comment 2 Martin 2012-08-17 03:09:28 EDT
Created attachment 605102 [details]
File: maps
Comment 3 Martin 2012-08-17 03:09:31 EDT
Created attachment 605103 [details]
File: dso_list
Comment 4 Martin 2012-08-17 03:09:33 EDT
Created attachment 605104 [details]
File: build_ids
Comment 5 Christophe Fergeau 2012-08-17 04:58:26 EDT
What were you doing when it crashed? This looks like https://bugzilla.gnome.org/show_bug.cgi?id=678439 which was fixed in clutter 1.11.6
Comment 6 Cole Robinson 2012-10-01 16:58:16 EDT
No response, moving to clutter per comment #5 (Christophe, please reassign if I got it wrong).
Comment 7 Peter Robinson 2012-10-01 17:05:27 EDT
(In reply to comment #5)
> What were you doing when it crashed? This looks like
> https://bugzilla.gnome.org/show_bug.cgi?id=678439 which was fixed in clutter
> 1.11.6

Fedora 17 has clutter 1.10.x not 1.1[12].x so unless the bug was backported to the 1.10.x releases (F-17 has 1.10.8) it's likely still broken upstream
Comment 8 Fedora End Of Life 2013-07-03 22:28:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 04:27:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.